# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.6

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/nghia/Projects/Register3D_wx

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/nghia/Projects/Register3D_wx

# Include any dependencies generated for this target.
include ann_1.1.2/src/CMakeFiles/ANN.dir/depend.make

# Include the progress variables for this target.
include ann_1.1.2/src/CMakeFiles/ANN.dir/progress.make

# Include the compile flags for this target's objects.
include ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make

ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o: ann_1.1.2/src/ANN.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/ANN.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/ANN.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/ANN.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/ANN.cpp > CMakeFiles/ANN.dir/ANN.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/ANN.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/ANN.cpp -o CMakeFiles/ANN.dir/ANN.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o: ann_1.1.2/src/brute.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_2)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/brute.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/brute.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/brute.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/brute.cpp > CMakeFiles/ANN.dir/brute.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/brute.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/brute.cpp -o CMakeFiles/ANN.dir/brute.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o: ann_1.1.2/src/kd_search.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_3)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/kd_search.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_search.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/kd_search.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_search.cpp > CMakeFiles/ANN.dir/kd_search.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/kd_search.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_search.cpp -o CMakeFiles/ANN.dir/kd_search.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o: ann_1.1.2/src/kd_util.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_4)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/kd_util.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_util.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/kd_util.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_util.cpp > CMakeFiles/ANN.dir/kd_util.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/kd_util.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_util.cpp -o CMakeFiles/ANN.dir/kd_util.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o: ann_1.1.2/src/bd_fix_rad_search.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_5)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_fix_rad_search.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_fix_rad_search.cpp > CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_fix_rad_search.cpp -o CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o: ann_1.1.2/src/kd_dump.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_6)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/kd_dump.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_dump.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/kd_dump.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_dump.cpp > CMakeFiles/ANN.dir/kd_dump.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/kd_dump.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_dump.cpp -o CMakeFiles/ANN.dir/kd_dump.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o: ann_1.1.2/src/bd_pr_search.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_7)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/bd_pr_search.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_pr_search.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/bd_pr_search.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_pr_search.cpp > CMakeFiles/ANN.dir/bd_pr_search.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/bd_pr_search.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_pr_search.cpp -o CMakeFiles/ANN.dir/bd_pr_search.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o: ann_1.1.2/src/kd_fix_rad_search.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_8)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_fix_rad_search.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_fix_rad_search.cpp > CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_fix_rad_search.cpp -o CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o: ann_1.1.2/src/kd_split.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_9)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/kd_split.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_split.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/kd_split.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_split.cpp > CMakeFiles/ANN.dir/kd_split.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/kd_split.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_split.cpp -o CMakeFiles/ANN.dir/kd_split.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o: ann_1.1.2/src/bd_search.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_10)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/bd_search.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_search.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/bd_search.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_search.cpp > CMakeFiles/ANN.dir/bd_search.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/bd_search.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_search.cpp -o CMakeFiles/ANN.dir/bd_search.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o: ann_1.1.2/src/perf.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_11)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/perf.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/perf.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/perf.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/perf.cpp > CMakeFiles/ANN.dir/perf.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/perf.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/perf.cpp -o CMakeFiles/ANN.dir/perf.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o: ann_1.1.2/src/bd_tree.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_12)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/bd_tree.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_tree.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/bd_tree.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_tree.cpp > CMakeFiles/ANN.dir/bd_tree.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/bd_tree.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/bd_tree.cpp -o CMakeFiles/ANN.dir/bd_tree.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o: ann_1.1.2/src/kd_pr_search.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_13)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/kd_pr_search.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_pr_search.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/kd_pr_search.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_pr_search.cpp > CMakeFiles/ANN.dir/kd_pr_search.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/kd_pr_search.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_pr_search.cpp -o CMakeFiles/ANN.dir/kd_pr_search.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o.provides.build

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o: ann_1.1.2/src/CMakeFiles/ANN.dir/flags.make
ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o: ann_1.1.2/src/kd_tree.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/nghia/Projects/Register3D_wx/CMakeFiles $(CMAKE_PROGRESS_14)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/ANN.dir/kd_tree.cpp.o -c /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_tree.cpp

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/ANN.dir/kd_tree.cpp.i"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_tree.cpp > CMakeFiles/ANN.dir/kd_tree.cpp.i

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/ANN.dir/kd_tree.cpp.s"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && /usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/kd_tree.cpp -o CMakeFiles/ANN.dir/kd_tree.cpp.s

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o.requires:
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o.requires

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o.provides: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o.requires
	$(MAKE) -f ann_1.1.2/src/CMakeFiles/ANN.dir/build.make ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o.provides.build
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o.provides

ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o.provides.build: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o.provides.build

# Object files for target ANN
ANN_OBJECTS = \
"CMakeFiles/ANN.dir/ANN.cpp.o" \
"CMakeFiles/ANN.dir/brute.cpp.o" \
"CMakeFiles/ANN.dir/kd_search.cpp.o" \
"CMakeFiles/ANN.dir/kd_util.cpp.o" \
"CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o" \
"CMakeFiles/ANN.dir/kd_dump.cpp.o" \
"CMakeFiles/ANN.dir/bd_pr_search.cpp.o" \
"CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o" \
"CMakeFiles/ANN.dir/kd_split.cpp.o" \
"CMakeFiles/ANN.dir/bd_search.cpp.o" \
"CMakeFiles/ANN.dir/perf.cpp.o" \
"CMakeFiles/ANN.dir/bd_tree.cpp.o" \
"CMakeFiles/ANN.dir/kd_pr_search.cpp.o" \
"CMakeFiles/ANN.dir/kd_tree.cpp.o"

# External object files for target ANN
ANN_EXTERNAL_OBJECTS =

ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/build.make
ann_1.1.2/lib/libANN.a: ann_1.1.2/src/CMakeFiles/ANN.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking CXX static library ../lib/libANN.a"
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && $(CMAKE_COMMAND) -P CMakeFiles/ANN.dir/cmake_clean_target.cmake
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/ANN.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
ann_1.1.2/src/CMakeFiles/ANN.dir/build: ann_1.1.2/lib/libANN.a
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/build

ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/ANN.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/brute.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_search.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_util.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_fix_rad_search.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_dump.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_pr_search.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_fix_rad_search.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_split.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_search.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/perf.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/bd_tree.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_pr_search.cpp.o.requires
ann_1.1.2/src/CMakeFiles/ANN.dir/requires: ann_1.1.2/src/CMakeFiles/ANN.dir/kd_tree.cpp.o.requires
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/requires

ann_1.1.2/src/CMakeFiles/ANN.dir/clean:
	cd /home/nghia/Projects/Register3D_wx/ann_1.1.2/src && $(CMAKE_COMMAND) -P CMakeFiles/ANN.dir/cmake_clean.cmake
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/clean

ann_1.1.2/src/CMakeFiles/ANN.dir/depend:
	cd /home/nghia/Projects/Register3D_wx && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/nghia/Projects/Register3D_wx /home/nghia/Projects/Register3D_wx/ann_1.1.2/src /home/nghia/Projects/Register3D_wx /home/nghia/Projects/Register3D_wx/ann_1.1.2/src /home/nghia/Projects/Register3D_wx/ann_1.1.2/src/CMakeFiles/ANN.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : ann_1.1.2/src/CMakeFiles/ANN.dir/depend

